From 7138b0b0a6e5e30c4519772efe5ee798eb95b663 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 21 2017 13:40:40 +0000
Subject: [PATCH 869/1001] Improve display of the Feed widget


---

diff --git a/hubs/static/client/app/components/feed/Feed.jsx b/hubs/static/client/app/components/feed/Feed.jsx
index 464e2e1..9292add 100644
--- a/hubs/static/client/app/components/feed/Feed.jsx
+++ b/hubs/static/client/app/components/feed/Feed.jsx
@@ -8,11 +8,11 @@ export default class Feed extends React.Component {
     var items = this.props.items || [];
     items = items.map((item, idx) => {
       return (
-        <Panel item={item} {...this.props} key={idx} />
+        <Panel item={item} {...this.props} key={item.dom_id} />
         );
     });
     return (
-      <div>
+      <div className="component-feed">
         {items}
       </div>
     );
diff --git a/hubs/static/client/app/components/feed/Icon.jsx b/hubs/static/client/app/components/feed/Icon.jsx
index a81f41c..3a15c77 100644
--- a/hubs/static/client/app/components/feed/Icon.jsx
+++ b/hubs/static/client/app/components/feed/Icon.jsx
@@ -1,21 +1,21 @@
 import React from 'react';
 
-class Icon extends React.Component {
+export default class Icon extends React.Component {
   render() {
     return (
-      <div>
-        <div className="media-left">
-          <a href={this.props.item.link ? this.props.item.link : '#'} target="_blank">
-            <img
-              alt="User avatar"
-              className="media-object square-32 img-circle"
-              src={this.props.item.secondary_icon}
-            />
-          </a>
-        </div>
-      </div>
+      <a href={this.props.item.link ? this.props.item.link : '#'}
+         target="_blank"
+         className="d-flex align-self-center mr-3"
+         >
+        <img
+          alt="User avatar"
+          className="square-32 img-circle"
+          src={this.props.item.secondary_icon}
+        />
+      </a>
     );
   }
 }
 
-export default Icon;
+
+// vim: set ts=2 sw=2 et:
diff --git a/hubs/static/client/app/components/feed/ItemsGetter.jsx b/hubs/static/client/app/components/feed/ItemsGetter.jsx
index 1ba1c4f..16d87de 100644
--- a/hubs/static/client/app/components/feed/ItemsGetter.jsx
+++ b/hubs/static/client/app/components/feed/ItemsGetter.jsx
@@ -90,7 +90,7 @@ export default class ItemsGetter extends React.Component {
           style={{display: this.state.loading ? "block" : "none"}}
           ></div>
         { (this.state.sseError !== false) &&
-          <div className="alert alert-warning">
+          <div className="alert alert-warning mt-3">
             {this.state.sseError}
           </div>
         }
diff --git a/hubs/static/client/app/components/feed/Markup.jsx b/hubs/static/client/app/components/feed/Markup.jsx
index 72f88c9..16658eb 100644
--- a/hubs/static/client/app/components/feed/Markup.jsx
+++ b/hubs/static/client/app/components/feed/Markup.jsx
@@ -1,5 +1,4 @@
 import React from 'react';
-import Actions from './Actions.jsx';
 import TimeAgo from 'react-timeago';
 
 
@@ -18,16 +17,9 @@ export default class Markup extends React.Component {
     const timestamp = this.props.item.date_time ? (<TimeAgo date={this.props.item.date_time} />) : null;
 
     return (
-      <div className="media-body">
-        <h4
-          className="media-heading"
-          dangerouslySetInnerHTML={this.createMarkup()}
-        >
-        </h4>
+      <div className="media-body align-self-center">
+        <span dangerouslySetInnerHTML={this.createMarkup()}></span>
         {timestamp}
-        { (this.props.handleSave) &&
-          <Actions {...this.props} />
-        }
       </div>
     );
   }
diff --git a/hubs/static/client/app/components/feed/Panel.jsx b/hubs/static/client/app/components/feed/Panel.jsx
index eb0128b..af5f440 100644
--- a/hubs/static/client/app/components/feed/Panel.jsx
+++ b/hubs/static/client/app/components/feed/Panel.jsx
@@ -1,17 +1,19 @@
 import React from 'react';
 import Icon from './Icon.jsx';
 import Markup from './Markup.jsx';
+import Actions from './Actions.jsx';
 
 
 export default class Panel extends React.Component {
 
   render() {
     return (
-      <div className="card">
-        <div className="card-block" id={this.props.item.id}>
-          <Icon item={this.props.item} />
-          <Markup {...this.props} />
-        </div>
+      <div className="media py-3" id={this.props.item.id}>
+        <Icon item={this.props.item} />
+        <Markup {...this.props} />
+        { (this.props.handleSave) &&
+          <Actions {...this.props} />
+        }
       </div>
     );
   }
diff --git a/hubs/static/client/app/components/feed/__tests__/Feed.test.js b/hubs/static/client/app/components/feed/__tests__/Feed.test.js
index a3e8365..d1cdf24 100644
--- a/hubs/static/client/app/components/feed/__tests__/Feed.test.js
+++ b/hubs/static/client/app/components/feed/__tests__/Feed.test.js
@@ -7,6 +7,7 @@ import ReactDOM from 'react-dom';
 import TestUtils from 'react-addons-test-utils';
 
 import Feed from '../Feed.jsx';
+import Panel from '../Panel.jsx';
 
 describe('Feed', () => {
   const item = {
@@ -15,14 +16,17 @@ describe('Feed', () => {
     link: 'https://pagure.io/fedora-hubs',
     secondary_icon: 'https://placekitten.com/g/200/300',
   }
-  const items = [item, item, item];
+  var items = [item, item, item];
+  items = items.map((obj, idx) => {
+    return Object.assign({dom_id: "item-" + idx}, obj);
+  });
 
   it('should create the children', () => {
     const component = TestUtils.renderIntoDocument(
       <Feed items={items} messageLimit={100} />
     );
     const node = ReactDOM.findDOMNode(component);
-    expect(node.children.length).toEqual(3);
+    expect(Panel.mock.calls.length).toEqual(3);
   });
 });
 
diff --git a/hubs/static/client/app/components/feed/__tests__/Icon.test.js b/hubs/static/client/app/components/feed/__tests__/Icon.test.js
index 72dadc5..3cd5bb8 100644
--- a/hubs/static/client/app/components/feed/__tests__/Icon.test.js
+++ b/hubs/static/client/app/components/feed/__tests__/Icon.test.js
@@ -20,8 +20,7 @@ describe('Icon', () => {
     );
     expect(component).toBeTruthy();
     const node = ReactDOM.findDOMNode(component);
-    const link = node.querySelector('a');
-    expect(link.getAttribute('href')).toEqual(item.link);
+    expect(node.getAttribute('href')).toEqual(item.link);
   });
   it('has the correct image source', () => {
     const component = TestUtils.renderIntoDocument(
diff --git a/hubs/static/client/app/components/feed/__tests__/Markup.test.js b/hubs/static/client/app/components/feed/__tests__/Markup.test.js
index 31d336d..6305d51 100644
--- a/hubs/static/client/app/components/feed/__tests__/Markup.test.js
+++ b/hubs/static/client/app/components/feed/__tests__/Markup.test.js
@@ -21,9 +21,9 @@ describe('Markup', () => {
     expect(component).toBeTruthy();
 
     const node = ReactDOM.findDOMNode(component);
-    const header = node.querySelector('h4');
+    const markup = node.querySelector('span');
 
-    expect(header.innerHTML).toEqual(item.markup);
+    expect(markup.innerHTML).toEqual(item.markup);
   });
 
   // we don't test TimeAgo, the library should have its own tests
